/*
 * Copyright 2021 MindMotion Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#include <stdint.h>
#include <stdio.h>

#include "board_init.h"

/*
 * Definitions.
 */

/*
 * Variables.
 */

/*
 * Declerations.
 */

/*
 * Functions.
 */

int main(void)
{
    BOARD_Init();

	printf("\r\nmds_conn_basic example.\r\n");
    printf("press any key to start.\r\n");

    while (1)
    {

        /* type any key into the terminal to trigger the conversion. */
        getchar();
	    /* configure the connection mode. */
		MDS_EnableConn(BOARD_MDS_PORT, CONN_OUT, CONN_IN_0);
        printf("mds_conn_basic done \r\n");

    }
}

/* EOF. */
